package com.dgtly.wxportal.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.dgtly.wxportal.service.ESignService;
import com.dgtly.wxportal.utils.ESign.ESignHttpUtil;
import com.dgtly.wxportal.utils.ESign.ESignMD5;
import com.dgtly.wxportal.utils.ESign.ESignUrl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.File;

/**
 * @author ZhangDing
 * @version 1.0
 * @descption: TODO
 * @company 神州数码通用软件（洛阳）有限公司
 * @copyright (c) 2019 LuoYang DGT Co'Ltd Inc. All rights reserved.
 * @date 2020-10-10 11:27
 * @since JDK1.8
 */
@Service
public class ESignServiceImpl implements ESignService {

    @Autowired
    private ESignHttpUtil eSignHttpUtil;

    @Override
    public String upload(String url) {
        File file = new File(url);
        String fileName = file.getName();
        JSONObject json = new JSONObject();
        json.put("contentMd5", ESignMD5.getStringContentMD5(url));
        json.put("contentType","application/octet-stream");
        json.put("convert2Pdf",true);
        json.put("fileName",fileName);
        json.put("fileSize", ESignMD5.getFileSize(url));
        String s=  eSignHttpUtil.doPost(ESignUrl.uploadCreateFile,json);
        return s;
    }

}
